%define name wmMoonClock
%define version 1.1
%define release 1

%define builddir $RPM_BUILD_DIR/%{name}-%{version}/%{name}

Name: %{name}
Summary: Moon phases info for Window Maker/AfterStep
Version: %{version}
Release: %{release}
Group: X11/Utilities
Copyright: GPL
Vendor: Michael G. Henderson <mghenderson@lanl.gov>
Source0: %{name}-%{version}.tar.gz
Source1: %{name}.wmconfig
URL: ftp://leadbelly.lanl.gov/pub/mgh/%{name}-%{version}.tar.gz
Icon: %{name}.gif

%changelog
* Thu Dec 31 1998 Yeechang Lee <ylee@columbia.edu>
- Added wmconfig file.

%description
"%{name} displays the current phase of the moon."  Window Maker and
AfterStep dockable but not necessary.

%prep
%setup -n %{builddir}
cd $RPM_BUILD_DIR

%build
make clean
make

%install
mkdir -p /etc/X11/wmconfig
cp -pf $RPM_SOURCE_DIR/%{name}.wmconfig /etc/X11/wmconfig/%{name}
strip %{name}
make install

%files
%attr(644,root,root) %config(missingok) /etc/X11/wmconfig/%{name}
%attr(755,root,root) /usr/X11R6/bin/%{name}

%clean
rm -rf $RPM_BUILD_DIR/%{name}-%{version}
